Subject: Re: bug#22293: 25.0.50; EWW: Loses on some content on Wikipedia (especially science/math)

From: raman <[email-masked]>
Date: Sat, 02 Jan 2016 13:43:17 -0800

Lars Magne Ingebrigtsen <[email-masked]> writes:

Hmm

When I rendered the page in EWW, (with images turned off) the entire alt
text was not present in the rendered buffer -- I could see the alt text
by pressing "a" 

As an example, in my Emacs (running under X/StumpWM)

alt=
\Gamma(n) = (n-1)!
 
In-buffer presentation:

\Gamma(n
 . 

\Gamma(t) = \> raman <[email-masked]> writes:
>
>> Compare the rendering of this page
>> https://en.wikipedia.org/wiki/Gamma_function
>>
>> in eww vs  the now ancient W3. I still get more content from W3 than I
>> do with EWW -- likely because I get all of the alt text fo rthe math
>> equations which Wikipedia helpfully gives me as LaTeX.
>
> Hm.  If I look at the page in eww and in Firefox, they seem to contain
> just about the same data (with different layout).  And all the equations
> seem to have the LaTeX-like stuff as alt texts in eww, too, like:
>
> \Gamma(t) = \int_0^\infty x^{t-1} e^{-x}\,dx

--